Skip to main content
POST
Create an employment for a person

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

person_id
string
required

The person ID

Body

application/json
business_name
string
required
Example:

"Acme Corp"

role
string
Example:

"Software Engineer"

start_date
string<date>
Example:

"2023-01-15"

end_date
string<date>
Example:

"2024-12-31"

actively_employed
boolean
Example:

true

Response

employment created

business_name
string
required
Example:

"Acme Corp"

id
string

The employment ID

Example:

"emp123xyz"

person_id
string

The person ID

Example:

"abc123xyz"

role
string | null
Example:

"Software Engineer"

start_date
string<date> | null
Example:

"2023-01-15"

end_date
string<date> | null
Example:

"2024-12-31"

actively_employed
boolean
Example:

true